Subject: Re: bug#28922: Pixel scrolling by frame-char-height
From: Eli Zaretskii <[email-masked]>
To: Tak Kunihiro <[email-masked]>
Cc: [email-masked]
Date: Fri, 27 Oct 2017 17:24:17 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 21 Oct 2017 13:11:14 +0900 (JST)
> From: Tak Kunihiro <[email-masked]>
> Cc: [email-masked]
> 
> I'm sending a patch for lisp/pixel-scroll.el.

Thanks, I pushed it to the emacs-26 branch.

Please in the future make sure the 1st line of the doc string is not
longer than 79 characters, and is a full sentence.

Also, please fill the lines in the log entry to be shorter than 75
characters, not including the leading whitespace.  And include the bug
number in the log message.

(I modified your patch to fix all those issues.)

> diff --git a/etc/NEWS b/etc/NEWS
> old mode 100644
> new mode 100755
> index 74d6e8bf1c..d9eb4f9462
> --- a/cygdrive/c/Users/dream/Downloads/emacs/etc/NEWS
> +++ b/cygdrive/c/Users/dream/Dropbox/Downloads@TK/NEWS
> @@ -76,6 +76,12 @@ globally or for individual definitions.
>  the XTerm window title.  This feature is experimental and is disabled
>  by default.
>  
> +** Pixel-Scroll
> +
> +---
> +*** Now scroll vertically by number of pixels returned by
> +'frame-char-height' when 'pixel-resolution-fine-flag' is set to t.

I didn't install this part, because pixel-scroll-mode is a new mode
and is mentioned as such in NEWS.  So everything about it is "new",
and there's no need to mention individual changes.